%define oname purple-plugin_pack
%define version 2.7.0
%define fname %oname-%version
%define pidgin_major_ver 2
%define pidgin_minor_ver 6

Summary:    Plugin Pack for libpurple and derived IM clients
Name:       pidgin-plugin-pack
Version:    %version
Release:    %mkrel 2
License:    GPLv2+
Group:      Networking/Instant messaging
URL:        http://plugins.guifications.org/
Source0:    %{fname}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
BuildConflicts: %{_lib}xmms-devel
BuildRequires: intltool
BuildRequires: python
BuildRequires: pidgin-devel
BuildRequires: gtk2-devel
BuildRequires: gtkspell-devel
BuildRequires: %{_lib}json-glib-devel
Requires:   %{_lib}purple0
Obsoletes: pidgin-xmms

%description
Additional plugins for Pidgin.

%prep
%setup -q -n purple-plugin-pack-%version

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot%{_libdir}/purple-2/*.la
rm -f %buildroot%{_libdir}/pidgin/*.la

%find_lang plugin_pack

%clean
rm -rf %buildroot

%files -f plugin_pack.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog
%{_datadir}/pixmaps/pidgin/protocols/*/napster.png
%{_datadir}/pixmaps/pidgin/protocols/*/okcupid.png
%_libdir/pidgin/album.so
%_libdir/pidgin/blistops.so
%_libdir/pidgin/convbadger.so
%_libdir/pidgin/difftopic.so
%_libdir/pidgin/enhancedhist.so
%_libdir/pidgin/gRIM.so
%_libdir/pidgin/icon_override.so
%_libdir/pidgin/infopane.so
%_libdir/pidgin/irssi.so
%_libdir/pidgin/lastseen.so
%_libdir/pidgin/listlog.so
%_libdir/pidgin/mystatusbox.so
%_libdir/pidgin/nicksaid.so
%_libdir/pidgin/pidgin-schedule.so
%_libdir/pidgin/plonkers.so
%_libdir/pidgin/sepandtab.so
%_libdir/pidgin/switchspell.so
%_libdir/pidgin/timelog.so
%_libdir/pidgin/xchat-chats.so
%_libdir/purple-2/autoprofile.so
%_libdir/purple-2/autoreply.so
%_libdir/purple-2/bash.so
%_libdir/purple-2/capsnot.so
%_libdir/purple-2/colorize.so
%_libdir/purple-2/dewysiwygification.so
%_libdir/purple-2/dice.so
%_libdir/purple-2/eight_ball.so
%_libdir/purple-2/findip.so
%_libdir/purple-2/flip.so
%_libdir/purple-2/google.so
%_libdir/purple-2/groupmsg.so
%_libdir/purple-2/highlight.so
%_libdir/purple-2/ignore.so
%_libdir/purple-2/irchelper.so
%_libdir/purple-2/irc-more.so
%_libdir/purple-2/libsnpp.so
%_libdir/purple-2/listhandler.so
%_libdir/purple-2/napster.so
%_libdir/purple-2/ning.so
%_libdir/purple-2/okcupid.so
%_libdir/purple-2/oldlogger.so
%_libdir/purple-2/omegle.so
%_libdir/purple-2/showoffline.so
%_libdir/purple-2/simfix.so
%_libdir/purple-2/slashexec.so
%_libdir/purple-2/splitter.so
%_libdir/purple-2/sslinfo.so
%_libdir/purple-2/translate.so
%_libdir/purple-2/xmppprio.so


%changelog
* Thu Feb 26 2015 bb <bb> 2.7.0-2pclos2015
- rebuild 

* Sat Sep 20 2014 bb <bb> 2.7.0-1pclos2014
- update
